import { IInterfaceState } from "../types/state";
import { BaklavaEvent, PreventableBaklavaEvent, SequentialHook } from "./events";
import { INodeInterface, INode } from "../types";
export declare class NodeInterface implements INodeInterface {
    id: string;
    isInput: boolean;
    parent: INode;
    option?: string;
    events: {
        setConnectionCount: BaklavaEvent<number>;
        beforeSetValue: PreventableBaklavaEvent<any>;
        setValue: BaklavaEvent<any>;
    };
    hooks: {
        load: SequentialHook<IInterfaceState>;
        save: SequentialHook<IInterfaceState>;
    };
    private _connectionCount;
    connectionCount: number;
    private _value;
    value: any;
    constructor(parent: INode, isInput: boolean);
    load(state: IInterfaceState): void;
    save(): IInterfaceState;
}
